Skip to content

Billing Logs

GET
/api/v1/appliances/load-balancer-billinglog/{lb_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/appliances/load-balancer-billinglog/{lb_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns a paginated billing history for the load balancer appliance. Each entry describes a billing event for the underlying compute. Use page_no and per_page to page through results.

lb_id
required
integer

The id of the load balancer, as returned by the List Load Balancers endpoint.

Example

12345
page_no
integer

1-based page number to retrieve.

Example

1
per_page
integer

Number of records to return per page.

Example

5
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Region of the load balancer.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data

Billing history entries for the load balancer appliance.

Array
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"message": "Success",
"total_page_number": 1,
"total_count": 0
}